# OpenLayers.Format.OGCExceptionReport

Class to read exception reports for various OGC services and versions.

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.OGCExceptionReport | Class to read exception reports for various OGC services and versions.
Constructor |
OpenLayers.Format.OGCExceptionReport | Create a new parser for OGC exception reports.
Functions |
read | Read OGC exception report data from a string, and return an object with information about the exceptions.

### Constructor

### OpenLayers.Format.OGCExceptionReport

Create a new parser for OGC exception reports.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### read

> read: function( | data | )

Read OGC exception report data from a string, and return an object with information about the exceptions.

#### Parameters

data | {String} or {DOMElement} data to read/parse.

#### Returns

{Object} Information about the exceptions that occurred.

> read: function( | data | )

Read OGC exception report data from a string, and return an object with information about the exceptions.
Read and write XML.
Close